Subject: Re: [PATCH 0/5] virtio_net: enable premapped mode by default

From: Darren Kenny <[email-masked]>
Date: Fri, 18 Oct 2024 15:59:14 +0100

Hi Michael / Xuan Zhuo,

On Wednesday, 2024-10-16 at 08:55:21 +01, Darren Kenny wrote:
> Hi Michael,
>
> On Monday, 2024-10-14 at 00:57:41 -04, Michael S. Tsirkin wrote:
>> On Mon, Oct 14, 2024 at 11:12:29AM +0800, Xuan Zhuo wrote:
>>> In the last linux version, we disabled this feature to fix the
>>> regress[1].
>>> 
>>> The patch set is try to fix the problem and re-enable it.
>>> 
>>> More info: http://lore.kernel.org/all/[email-masked]
>>> 
>>> Thanks.
>>> 
>>> [1]: http://lore.kernel.org/all/[email-masked]
>>
>> Darren, you previously reported crashes with a patch very similar to 1/5.
>> Can you please test this patchset and report whether they
>> are still observed?
>> If yes, any data on how to reproduce would be very benefitial for Xuan
>> Zhuo.
>>
>
> I aim to get to this in the next week, but I don't currently have
> access to a system to test it, it will take a few days at least before I
> can get one.

I finally a managed to get access to a system to test this on, and it
looks like things are working with this patch-set. So...

Tested-by: Darren Kenny <[email-masked]>

Thanks,

Darren.